#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false);
    cin.tie(0);
    long long int n,q;
    cin >> n >> q;
    vector<long long int> a(n);
    for(long long int i=0; i<n; i++)
    {
        cin >> a[i];

    }
    sort(a.begin(), a.end());
    long long int b;
    for(long long int i=0; i<q; i++)
    {
        cin >> b;
        if(b < a[0])
        {
            cout << n << endl;
            continue;
        }
        else if(b > a[n-1])
        {
            cout << n << endl;
            continue;
        }
        else
        {
            auto l1 =  lower_bound(a.begin(), a.end(), b);
            auto pozicija = (l1-a.begin()) ;
            int m1 = pozicija;
            if(a[m1]!= b)
            {
                int broj_levih = m1;
                int broj_desnih = n-broj_levih;
                cout << abs(broj_desnih-broj_levih) << endl;
            }
            else
            {
                int broj_levih = m1;
                int broj_desnih = n-broj_levih-1;
                int brojac = m1+1;
                int razlika = abs(broj_levih-broj_desnih);
                int pomocni1 =broj_levih;
                int pomocni2 = broj_desnih;
                while(a[m1] == a[brojac])
                {
                    pomocni2--;
                    pomocni1++;
                   if(abs(pomocni1-pomocni2)<=razlika)
                    {
                        razlika = abs(pomocni1-pomocni2);

                        m1 = brojac;
                        broj_desnih = pomocni2;
                        broj_levih = pomocni1;

                    }
                    brojac ++;

                }
                if(broj_desnih >= broj_levih)
                {
                    cout << razlika << endl;
                }
                else
                {
                    cout << razlika - 1 << endl;
                }




            }

        }


    }


}